## cross-toolchain-base 44

=== debian/changelog ===
cross-toolchain-base (44) unstable; urgency=medium

  * Bump source versions for autopkg test.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jan 2020 08:50:59 +0100
