## cross-toolchain-base 47

=== debian/changelog ===
cross-toolchain-base (47) unstable; urgency=medium

  * Use gcc-10 for the autopkg tests as well.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jul 2020 11:53:24 +0200

cross-toolchain-base (46) unstable; urgency=medium

  * Build using glibc 2.31-1.
  * Build using gcc 10.1.0-5.
  * Build using linux 5.7.
  * Use the linux source version for the Built-Using info. Closes: #954663.
  * Fix build with make 4.3. Closes: #961851.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2020 19:33:22 +0200

cross-toolchain-base (45) unstable; urgency=medium

  * Build using glibc 2.30-2.
  * Build using gcc 9.3.0-7.
  * Build using binutils 2.34-5.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Mar 2020 14:02:54 +0100
