=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://salsa.debian.org/toolchain-team/cross-toolchain-base
 Vcs-Git: https://salsa.debian.org/toolchain-team/cross-toolchain-base.git
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.33.50.20200111-1~),
-  glibc-source (>= 2.29-0~),
-  gcc-9-source (>= 9.2.1-23~),
-  linux-source (>= 5.4), linux-libc-dev (>= 5.4),
+  binutils-source (>= 2.34-5~),
+  glibc-source (>= 2.31-1~),
+  gcc-10-source (>= 10.1.0-5~),
+  linux-source (>= 5.7), linux-libc-dev (>= 5.7),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
