=== debian/tests/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 #Restrictions: build-needed
 Depends: build-essential,
   fakeroot,
-  binutils-source (>= 2.33.50-1~),
-  glibc-source (>= 2.29-1~),
-  gcc-9-source (>= 9.2.1-23~),
+  binutils-source (>= 2.34-1~),
+  glibc-source (>= 2.31-1~), glibc-source (<< 2.32),
+  gcc-10-source (>= 10.1.0-5~),
   linux-source (>= 5.4), linux-libc-dev (>= 5.4),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
