## cross-toolchain-base 47ubuntu3

=== debian/changelog ===
cross-toolchain-base (47ubuntu3) groovy; urgency=medium

  * Build using glibc 2.32-0ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2020 22:21:57 +0200

cross-toolchain-base (47ubuntu1) groovy; urgency=medium

  * Build using glibc 2.32-0ubuntu2.
  * Build using gcc 10.2.0-8.
  * Build using binutils 2.35.
  * Build using linux 5.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2020 12:20:50 +0200

cross-toolchain-base (43ubuntu4) groovy; urgency=medium

  * Fix "space" variable creation for new make (Closes: #961851)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Jun 2020 12:02:05 +0200
