=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+, := ,
+space := $(EMPTY) $(EMPTY)
 
 export SHELL = /bin/bash
 
@@ -67,10 +70,15 @@
   endif
 endif
 
-MIN_VER_GLIBC		:= 2.29-0~
-MIN_VER_LINUX		:= 5.4
-MIN_VER_GCC		:= 9.2.1-23~
-MIN_VER_BINUTILS	:= 2.33.50.20200111-1~
+# ===============================================================
+# ATTENTION: don't forget to update these in debian/tests/control
+# ===============================================================
+MIN_VER_GLIBC		:= 2.31-1~
+MIN_VER_LINUX		:= 5.7
+MIN_VER_GCC		:= 10.1.0-5~
+MIN_VER_BINUTILS	:= 2.34-5~
+VER_GCC_BASE		:= 10
+libgcc_base		:= gcc-s
 
 DEB_VER_LINUX  := $(shell apt-cache policy linux-libc-dev | awk '/^ \*\*\*/ {print $$2}')
 ifeq ($(vendor),Ubuntu)
@@ -78,26 +86,25 @@
 else
   VER_LINUX      := $(shell echo $(DEB_VER_LINUX) | sed 's/^\([0-9]*\.[0-9]*\).*/\1/')
 endif
-VER_GCC_BASE   := 9
 ifeq ($(vendor),Ubuntu)
-  MIN_VER_GLIBC	:= 2.30-0ubuntu1~
-  VER_GCC_BASE	:= 9
-  MIN_VER_GCC	:= 9.2.1-23~
-  MIN_VER_BINUTILS	:= 2.32-3~
-  MIN_VER_BINUTILS	:= 2.33.50.20200111-1~
-  MIN_VER_LINUX		:= 5.4
+  MIN_VER_GLIBC		:= 2.32-0ubuntu3~
+  VER_GCC_BASE		:= 10
+  MIN_VER_GCC		:= 10.2.0-8~
+  MIN_VER_BINUTILS	:= 2.35-3~
+  MIN_VER_LINUX		:= 5.8
+  libgcc_base		:= gcc-s
 endif
 
-VER_GCC          := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
-DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
-VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
-PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
-DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
-VER_GLIBC        := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
-DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
+VER_GCC          := $(shell dpkg-parsechangelog -SVersion -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog | cut -f 1 -d '-')
+DEB_VER_GCC      := $(shell dpkg-parsechangelog -SVersion -l/usr/src/gcc-${VER_GCC_BASE}/debian/changelog)
+VER_BINUTILS     := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-'|cut -d '.' -f1-3)
+PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog | cut -f 1 -d '-')
+DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -SVersion -l/usr/src/binutils/debian/changelog)
+VER_GLIBC        := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog | cut -f 1 -d '-')
+DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -SVersion -l/usr/src/glibc/debian/changelog)
 
-LINUX_BUILT_USING := linux (= $(DEB_VER_LINUX))
-GLIBC_BUILT_USING := binutils (= $(DEB_VER_BINUTILS)), linux (= $(DEB_VER_LINUX)), gcc-$(VER_GCC_BASE) (= $(DEB_VER_GCC)), glibc (= $(DEB_VER_GLIBC))
+LINUX_BUILT_USING := linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//'))
+GLIBC_BUILT_USING := binutils (= $(DEB_VER_BINUTILS)), linux (= $(shell echo $(DEB_VER_LINUX) | sed 's/+.*$$//')), gcc-$(VER_GCC_BASE) (= $(DEB_VER_GCC)), glibc (= $(DEB_VER_GLIBC))
 
 control_vars = '-Vbu:linux=$(LINUX_BUILT_USING)' '-Vbu:glibc=$(GLIBC_BUILT_USING)'
 
@@ -188,5 +195,3 @@
 	touch $@
 
 define init_binutils
-	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
-	set -e; \
