## cross-toolchain-base 48

=== debian/changelog ===
cross-toolchain-base (48) unstable; urgency=medium

  * Fix binutils build conflicts. Closes: #976923.
  * Build using glibc 2.31-5.
  * Build using gcc 10.2.1-1.
  * Build using linux 5.9.
  * Build using binutils 2.35.1-4.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2020 15:07:48 +0100
