## cross-toolchain-base 51

=== debian/changelog ===
cross-toolchain-base (51) unstable; urgency=medium

  * Build using gcc 10.2.1-6.
  * Build using linux 5.10.5.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 23:25:02 +0100

cross-toolchain-base (50) unstable; urgency=medium

  * Fix autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 16:55:59 +0100

cross-toolchain-base (49) unstable; urgency=medium

  * Build using glibc 2.31-9.
  * Build using gcc 10.2.1-5.
  * Build using linux 5.10.
  * Build using binutils 2.35.1-7.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 12:29:17 +0100
