=== debian/tests/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 #Restrictions: build-needed
 Depends: build-essential,
   fakeroot,
-  binutils-source (>= 2.35-1~),
-  glibc-source (>= 2.32-0ubuntu3~),
-  gcc-10-source (>= 10.2.0-8~),
-  linux-source (>= 5.8), linux-libc-dev (>= 5.8),
+  binutils-source (>= 2.34-1~),
+  glibc-source (>= 2.31-1~), glibc-source (<< 2.32),
+  gcc-10-source (>= 10.1.0-5~),
+  linux-source (>= 5.4), linux-libc-dev (>= 5.4),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -17,7 +17,7 @@
   make (>= 3.81), kmod | module-init-tools, symlinks,
   patchutils, procps, quilt, rdfind, coreutils (>= 2.26) | realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
-  asciidoc, texinfo, cpio, python3, bc,
+  asciidoc, texinfo, cpio, python3, bc, time,
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 # build process emits warnings on stderr
