## cross-toolchain-base 52

=== debian/changelog ===
cross-toolchain-base (52) unstable; urgency=medium

  * Build using linux 5.10.13.
  * Build using binutils 2.35.2-2.
  * Bump autoconf dependencies from 2.64 to 2.69.
  * Fix conversion of arch qualified relations (Helmut Grohne).
    Closes: #982888.
  * Add build dependency and autopkg test dependency on debugedit.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Feb 2021 09:30:19 +0100
